Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMText

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMCoin
                  |
                  +--com.jxml.quick.model.qdml.QDMText

All Implemented Interfaces:
  Cloneable, QDMData, QDMElement

public class QDMText
extends QDMCoin
implements QDMElement, QDMData

Models a text element in QDML. A text element is used to describe an attribute or a simple element that has text content and no attributes.

    DTD:

    <!ELEMENT text (rem*, extends?, implements*, (enum|range)*)>

    <!ATTLIST text
        label CDATA #IMPLIED
        tag CDATA #IMPLIED
        wild CDATA "False"
        type (idref|PCDATA|CDATA|int|short|long|byte|
              boolean|float|double|base64|url|char|BigDecimal) "PCDATA"
        inline CDATA "False"
        trim CDATA "True"
        generate CDATA "True"
        validInherited CDATA "True"
        ID id #IMPLIED
    >

Field Summary
`QDMExtends` | `extendor` Models an extends element, which is optional.
`QDMCoin` | `extendsCoin` The QDMAbstract or QDMText object named by the extends element.
`ArrayList` | `implementsList` A container for QDMImplements objects, which model implements elements.
`boolean` | `inline` Models the inline attribute on the text element.
`String` | `tag` Models the tag attribute on the text element.
`boolean` | `trim` Models the trim attribute on the text element.
`String` | `type` Models the type attribute on the text coin.
`boolean` | `validInherited` Models the validInherited attribute on the text element.
`ArrayList` | `validList` A container for QDMEnum and QDMRange objects, which model enum and range elements.
`ArrayList` | `valids` A container for QDMEnum and QDMRange objects for this element, including enum and range elements defined on abstract and text coins which this text coin extends.
`boolean` | `wild` Models the wild attribute on the text coin.

Fields inherited from class com.jxml.quick.model.qdml.QDMCoin
`extensions, generate, implementations, label, remList`

Constructor Summary
`QDMText()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`Map` | `getAtts()` Returns a table of objects which model attribute item elements.
`String` | `getLabel()` Returns the unique (within the scope of the QDML document) name of the coin, as specified by the coin's label.
`String` | `getTag()` Returns the XML tag name assigned to the text element.
`ArrayList` | `getValidList()` Returns a list of objects which model valid elements.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qdml.QDMCoin
`addDecendants, derivesFromOther, getConcreteDecendants`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tag

    public String tag

  Models the tag attribute on the text element. The tag attribute holds the XML tag name for the element or attribute being defined by the text element.

  When the label attribute is not present, the tag attribute is used to name the text coin.

### wild

    public boolean wild

  Models the wild attribute on the text coin. The wild attribute defaults to false. When the wild attribute is true, the text element can be used to represent an element or attribute with any tag name.

  When the wild attribute is false, the tag attribute is required, but when the wild attribute is true, the tag attribute must not be present.

  When the wild attribute is false, the label attribute is optional, but when the wild attribute is true, the label attribute is required.

### type

    public String type

  Models the type attribute on the text coin. The type attribute defaults to a value of PCDATA.

  The following values are allowed:

  - idref -- The content of the attribute being defined is the id assigned to another element in the same document. (A type of id is only valid when the text coin is used to define an attribute.)
  - CDATA -- When creating an XML document, the content of the text coin will be wrapped in a CDATA section. The text content converts to a String by default.
  - PCDATA -- The text content converts to a String by default.
  - int -- The text content is an int.
  - short -- The text content is a short.
  - long -- The text content is a long.
  - byte -- The text content is a byte.
  - float-- The text content is a float.
  - double -- The text content is a double.
  - base64-- Base64 encoding is used for the text content. This is converted to an array of bytes.
  - url -- The text content is a URL.
  - BigDecimal -- The text content converts to a BigDecimal.

### inline

    public boolean inline

  Models the inline attribute on the text element. The inline attribute is optional, with a default value of false. When creating an XML document, the element is begun on a new line unless inline is set to true. (This attribute is ignored when the text coin is used to define an attribute.)

### trim

    public boolean trim

  Models the trim attribute on the text element. The trim attribute is optional, with a default value of true. When true, leading and trailing whitespace is removed from the text content.

### validInherited

    public boolean validInherited

  Models the validInherited attribute on the text element. The validInherited attribute is optional, with a default value of true. The enum and range elements of the abstract or text coin which this coin extends are normally inherited, except when validInherited is set to false.

### extendor

    public QDMExtends extendor

  Models an extends element, which is optional. A text coin can extend an abstract coin or another text coin, which is named by the extends element.

### implementsList

    public ArrayList implementsList

  A container for QDMImplements objects, which model implements elements. The implements elements are optional and repeating. These implements elements name the interface coins which this text coin "implements". (A text element can impliment any number of interfaces.)

### validList

    public ArrayList validList

  A container for QDMEnum and QDMRange objects, which model enum and range elements. The enum and range elements are optional and repeating. These valid elements are used to describe acceptable text content of this text coin.

### extendsCoin

    public transient QDMCoin extendsCoin

  The QDMAbstract or QDMText object named by the extends element. This variable is set when the data model is initialized.

### valids

    public transient ArrayList valids

  A container for QDMEnum and QDMRange objects for this element, including enum and range elements defined on abstract and text coins which this text coin extends. This list is populated when the data model is initialized.

Constructor Detail

### QDMText

    public QDMText()

Method Detail

### clone

    public Object clone()

  Description copied from class: `QDMCoin`
  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMCoin`

### getLabel

    public String getLabel()

  Returns the unique (within the scope of the QDML document) name of the coin, as specified by the coin's label. When the label attribute is present, its value is returned. Otherwise the value of the tag attribute is returned.
  Overrides:
    `getLabel` in class `QDMCoin`

### getTag

    public String getTag()

  Returns the XML tag name assigned to the text element. When wild is true, the value of the label attribute is returned.
  Specified by:
    `getTag` in interface `QDMElement`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap)
                   throws SAXException

  Description copied from class: `QDMCoin`
  Builds the maps. This method is called during initialization of the data model.
  Overrides:
    `buildMaps` in class `QDMCoin`

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Description copied from class: `QDMCoin`
  Resolve references, inheritance. This method is called during initialization of the data model.
  Overrides:
    `init` in class `QDMCoin`

### getAtts

    public Map getAtts()
                throws SAXException

  Description copied from interface: `QDMElement`
  Returns a table of objects which model attribute item elements. Inherited attribute item elements are included.
  Specified by:
    `getAtts` in interface `QDMElement`

### getValidList

    public ArrayList getValidList()
                           throws SAXException

  Description copied from interface: `QDMData`
  Returns a list of objects which model valid elements. This list includes inherited valid elements.
  Specified by:
    `getValidList` in interface `QDMData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD